Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class BaseXSDAtomicType

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseXSDAtomicType

All Implemented Interfaces:
  AtomicDatatype, Datatype, XSDAtomicType

Direct Known Subclasses:
  XSDDate, XSDDateTime, XSDDay, XSDDecimal, XSDDouble, XSDDuration, XSDFloat, XSDMonth, XSDMonthDay, XSDTime, XSDYear, XSDYearMonth

    public abstract class BaseXSDAtomicType

extends BaseDatatype
implements XSDAtomicType

Author:
  Evren Sirin

Method Summary
`boolean` | `contains(java.lang.Object value)`
`abstract BaseXSDAtomicType` | `create(GenericIntervalList intervals)`
`XSDAtomicType` | `deriveByRestriction(int facet, java.lang.Object value)`
`AtomicDatatype` | `difference(AtomicDatatype dt)`
`AtomicDatatype` | `enumeration(java.util.Set enum_)`
`aterm.ATermAppl` | `getValue(int i)`
`java.lang.Object` | `getValue(java.lang.String value, java.lang.String datatypeURI)`
`ValueSpace` | `getValueSpace()`
`AtomicDatatype` | `intersection(AtomicDatatype dt)`
`AtomicDatatype` | `not()`
`XSDAtomicType` | `restrictFractionDigits(int digits)`
`XSDAtomicType` | `restrictMax(boolean inclusive, java.lang.Object value)`
`XSDAtomicType` | `restrictMaxExclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictMaxInclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictMin(boolean inclusive, java.lang.Object value)`
`XSDAtomicType` | `restrictMinExclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictMinInclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictPattern(java.lang.String pattern)`
`XSDAtomicType` | `restrictTotalDigits(int digits)`
`Datatype` | `singleton(java.lang.Object value)`
`int` | `size()`
`java.lang.String` | `toString()`
`AtomicDatatype` | `union(AtomicDatatype dt)`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`contains, getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.AtomicDatatype
`getPrimitiveType`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`contains, getName, getURI, isEmpty`

Method Detail

### create

    public abstract BaseXSDAtomicType create(GenericIntervalList intervals)

### getValueSpace

    public ValueSpace getValueSpace()

### getValue

    public java.lang.Object getValue(java.lang.String value,
                                     java.lang.String datatypeURI)

  Specified by:
    `getValue` in interface `Datatype`

### not

    public AtomicDatatype not()

  Specified by:
    `not` in interface `AtomicDatatype`

### intersection

    public AtomicDatatype intersection(AtomicDatatype dt)

  Specified by:
    `intersection` in interface `AtomicDatatype`

### union

    public AtomicDatatype union(AtomicDatatype dt)

  Specified by:
    `union` in interface `AtomicDatatype`

### difference

    public AtomicDatatype difference(AtomicDatatype dt)

  Specified by:
    `difference` in interface `AtomicDatatype`

### enumeration

    public AtomicDatatype enumeration(java.util.Set enum_)

  Specified by:
    `enumeration` in interface `AtomicDatatype`

### singleton

    public Datatype singleton(java.lang.Object value)

  Specified by:
    `singleton` in interface `Datatype`

### size

    public int size()

  Specified by:
    `size` in interface `Datatype`

### getValue

    public aterm.ATermAppl getValue(int i)

  Specified by:
    `getValue` in interface `Datatype`
  Overrides:
    `getValue` in class `BaseDatatype`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `Datatype`

### deriveByRestriction

    public XSDAtomicType deriveByRestriction(int facet,
                                             java.lang.Object value)
                                      throws java.lang.UnsupportedOperationException

  Specified by:
    `deriveByRestriction` in interface `XSDAtomicType`
  Throws:
    `java.lang.UnsupportedOperationException`

### restrictMin

    public XSDAtomicType restrictMin(boolean inclusive,
                                     java.lang.Object value)

  Specified by:
    `restrictMin` in interface `XSDAtomicType`

### restrictMinInclusive

    public XSDAtomicType restrictMinInclusive(java.lang.Object value)

  Specified by:
    `restrictMinInclusive` in interface `XSDAtomicType`

### restrictMinExclusive

    public XSDAtomicType restrictMinExclusive(java.lang.Object value)

  Specified by:
    `restrictMinExclusive` in interface `XSDAtomicType`

### restrictMax

    public XSDAtomicType restrictMax(boolean inclusive,
                                     java.lang.Object value)

  Specified by:
    `restrictMax` in interface `XSDAtomicType`

### restrictMaxInclusive

    public XSDAtomicType restrictMaxInclusive(java.lang.Object value)

  Specified by:
    `restrictMaxInclusive` in interface `XSDAtomicType`

### restrictMaxExclusive

    public XSDAtomicType restrictMaxExclusive(java.lang.Object value)

  Specified by:
    `restrictMaxExclusive` in interface `XSDAtomicType`

### restrictTotalDigits

    public XSDAtomicType restrictTotalDigits(int digits)

  Specified by:
    `restrictTotalDigits` in interface `XSDAtomicType`

### restrictFractionDigits

    public XSDAtomicType restrictFractionDigits(int digits)

  Specified by:
    `restrictFractionDigits` in interface `XSDAtomicType`

### restrictPattern

    public XSDAtomicType restrictPattern(java.lang.String pattern)

  Specified by:
    `restrictPattern` in interface `XSDAtomicType`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.